<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>ch.psi</groupId>
  <artifactId>plot</artifactId>
  <version>2.0-SNAPSHOT</version>
  <repositories>
  <repository>
     <id>jzy3d-releases</id>
     <name>Jzy3d Snapshots</name>
     <url>http://www.jzy3d.org/maven/releases</url>
  </repository>  
  </repositories>
  <dependencies>
  		<dependency>
			<groupId>org.jfree</groupId>
			<artifactId>jfreechart</artifactId>
			<version>1.0.15</version>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.8.2</version>
			<scope>test</scope>
		</dependency>
    <dependency>
      <groupId>fr.esrf.tangoatk.widget.util.chart</groupId>
      <artifactId>JLChart</artifactId>
      <version>1.0.0</version>
    </dependency>
    <dependency>
        <groupId>org.jzy3d</groupId>
        <artifactId>jzy3d-api</artifactId>
        <version>0.9.1</version>
    </dependency>
  </dependencies>
	
	<build>
		<plugins>
		 	<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
                                <version>3.1</version>
				<configuration>
					<encoding>UTF-8</encoding>
					<source>1.8</source>
					<target>1.8</target>                                              
				</configuration>
			</plugin> 
			<!-- Generate Javadoc Jar -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-javadoc-plugin</artifactId>
				<version>2.8</version>
				<executions>
					<execution>
						<id>attach-javadocs</id>
						<goals>
							<goal>jar</goal>
						</goals>
                                                <configuration>
                                                    <additionalparam>-Xdoclint:none</additionalparam>
                                                </configuration>                                                
					</execution>
				</executions>
			</plugin>
			<!-- Generate Source Jar -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-source-plugin</artifactId>
				<version>2.1.2</version>
				<executions>
					<execution>
						<id>attach-sources</id>
						<goals>
							<goal>jar</goal>
						</goals>
					</execution>
				</executions>
			</plugin>                        
		</plugins>
	</build>
	
	<distributionManagement>
		<snapshotRepository>
			<id>i.snapshots</id>
			<name>Artifactory Snapshots</name>
			<url>http://yoke.psi.ch:8081/artifactory/libs-snapshots-local</url>
		</snapshotRepository>
		<repository>
			<id>i.releases</id>
			<name>Atrifactory Releases</name>
			<url>http://yoke.psi.ch:8081/artifactory/libs-releases-local</url>
		</repository>
	</distributionManagement>
        <!-- G
    <properties>
        <maven.compiler.source>1.7</maven.compiler.source>
        <maven.compiler.target>1.7</maven.compiler.target>
    </properties>
    -->  
</project>